[Incident]: Some users report they are unable to access the case portal. Please see this community notice for more information.

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
cbarlow
Level 7

Installing merge modules before feature selection?

I have a Basic MSI project and want to install MSXML 4.0 for Windows XP and higher as a setup prerequisite (I have other prerequisites that depend on it). There is Merge Module that will do this, but no InstallShield prerequisite. I tried setting a custom prereq that would download msxml 4 and install it from our server, but the prereq installation fails on Vista machines. So now I'm thinking I'll try using the Merge Module, but from what I can tell, merge modules can only be associated with Features. Is there a way to run a merge module before feature selections like you can with installshield prereqs?

Thanks for your help!
Labels (1)
0 Kudos
5 Replies
Dan_Galender
Level 10

Not possible within the same installer. How about using the msxml msi as a prereq?
0 Kudos
cbarlow
Level 7

The only msxml msi prereq that shows up for me is v. 6. Is there one for v. 4? If so where can I get it?
0 Kudos
Dan_Galender
Level 10

You could use that prerequisite as a model for creating your own prerequisite for v4. Googling "MSXML MSI" (without the quotes) resulted in this location to download "MSXML 4.0 Service Pack 2".
0 Kudos
cbarlow
Level 7

That's what I was trying to do in the first place. I was having problems getting the prereq to run on Vista machine and finally realized that earlier versions of MSXML 4 were only compatible with XP. I found a more recent service update that had Vista compatibility and it solved the problem.

Thanks for your help.
0 Kudos
Dan_Galender
Level 10

Cool. Glad you're good.
0 Kudos